Log in or register to post comments

OIder Android versions don't support vuforia?

October 28, 2019 - 11:06am #3

App made using Unity + Vuforia works perfectly on Galaxy S9 (running Android version 9) but it does not on an older Asus tablet running Android version 4.4.2.

 

I get past the splash screen and the welcome screen. But once I get to the AR Camera, it just does not activate the camera.

 

Any ideas how to resolve this?

 

_______________________________________________ LOG USING ANDROID MONITOR_______________________________________________

10-25 12:30:08.690: I/WindowState(523): WIN DEATH: Window{2362c038 u0 id=0 com.hmc.mu/com.unity3d.player.UnityPlayerActivity}

10-25 12:30:08.690: W/WindowManager(523): Force-removing child win Window{222665e8 u0 id=0 SurfaceView} from container Window{2362c038 u0 id=0 com.hmc.mu/com.unity3d.player.UnityPlayerActivity}

10-25 12:30:11.500: I/DualAppsService(523): OVERLAY- noOverlay=com.unity3d.player.UnityPlayerActivity

10-25 12:30:11.500: I/ActivityManager(523): START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000 cmp=com.hmc.mu/com.unity3d.player.UnityPlayerActivity (has extras)} from pid 17590

10-25 12:30:11.510: D/LauncherLog(17590): Launcher:: startActivity: pkg: com.hmc.mu clz: com.unity3d.player.UnityPlayerActivity

10-25 12:30:11.550: I/ActivityManager(523): Start proc com.hmc.mu for activity com.hmc.mu/com.unity3d.player.UnityPlayerActivity: pid=13023 uid=10123 gids={50123, 3003, 1028, 1015}

10-25 12:30:11.770: I/ActivityManager(523): Displayed com.hmc.mu/com.unity3d.player.UnityPlayerActivity: +228ms

10-25 12:30:14.840: D/dalvikvm(13023): Trying to load lib /data/app-lib/com.hmc.mu-2/libVuforiaUnityPlayer.so 0x43d79bf0

10-25 12:30:14.840: E/dalvikvm(13023): dlopen("/data/app-lib/com.hmc.mu-2/libVuforiaUnityPlayer.so") failed: dlopen failed: could not load library "libVuforiaWrapper.so" needed by "libVuforiaUnityPlayer.so"; caused by could not load library "libVuforiaDL.so" needed by "libVuforiaWrapper.so"; caused by cannot locate symbol "atof" referenced by "libVuforiaDL.so"...

10-25 12:30:14.840: E/Vuforia(13023): The library libVuforiaUnityPlayer.so could not be loaded: java.lang.UnsatisfiedLinkError: dlopen failed: could not load library "libVuforiaWrapper.so" needed by "libVuforiaUnityPlayer.so"; caused by could not load library "libVuforiaDL.so" needed by "libVuforiaWrapper.so"; caused by cannot locate symbol "atof" referenced by "libVuforiaDL.so"...

10-25 12:30:14.840: W/dalvikvm(13023): No implementation found for native Lcom/vuforia/VuforiaUnityPlayer/VuforiaInitializer;.initPlatformNative:()V

10-25 12:30:14.890: E/Unity(13023): AndroidJavaException: java.lang.UnsatisfiedLinkError: Native method not found: com.vuforia.VuforiaUnityPlayer.VuforiaInitializer.initPlatformNative:()V

10-25 12:30:14.890: E/Unity(13023): java.lang.UnsatisfiedLinkError: Native method not found: com.vuforia.VuforiaUnityPlayer.VuforiaInitializer.initPlatformNative:()V

10-25 12:30:14.890: E/Unity(13023):  at com.vuforia.VuforiaUnityPlayer.VuforiaInitializer.initPlatformNative(Native Method)

10-25 12:30:14.890: E/Unity(13023):  at com.vuforia.VuforiaUnityPlayer.VuforiaInitializer.initPlatform(VuforiaInitializer.java:46)

10-25 12:30:14.890: E/Unity(13023):  at com.unity3d.player.UnityPlayer.nativeRender(Native Method)

10-25 12:30:14.890: E/Unity(13023):  at com.unity3d.player.UnityPlayer.c(Unknown Source)

10-25 12:30:14.890: E/Unity(13023):  at com.unity3d.player.UnityPlayer$e$2.queueIdle(Unknown Source)

10-25 12:30:14.890: E/Unity(13023):  at com.unity3d.player.UnityPlayer$e.run(Unknown Source)

10-25 12:30:14.890: E/Unity(13023):   at UnityEngine.AndroidJNISafe.CheckException () [0x00000] in <filename unknown>:0

10-25 12:30:14.890: E/Unity(13023):   at UnityEngine.AndroidJNISafe.CallStaticVoidMethod (IntPtr clazz, IntPtr methodID, UnityEngine.jvalue[] args) [0x00000] in <filename

10-25 12:30:14.990: E/Unity(13023):   at Vuforia.VuforiaUnity.GetVuforiaLibraryVersion () [0x00000] in <filename unknown>:0

_____________________________________________________________________________________________________________________________

OIder Android versions don't support vuforia?

October 29, 2019 - 1:59am #2

Hi,

Yes, as per the below link we support Android starting with 4.4.4+

https://library.vuforia.com/articles/Solution/Vuforia-Supported-Versions

Thank you.

Vuforia Engine Support

OIder Android versions don't support vuforia?

November 1, 2019 - 6:34am #1

Ah, I had my minimum version set to 4.1 but I guess that's the unity side of things. 

 

Thanks!

Log in or register to post comments